Subject: Re: [PATCH 4/4 v2] [POWERPC] Kilauea defconfig file

From: David Gibson <[email-masked]>
Date: Fri, 12 Oct 2007 13:23:44 +1000

On Thu, Oct 11, 2007 at 04:13:39PM -0500, Josh Boyer wrote:
> On Thu, 2007-10-11 at 15:12 -0500, Scott Wood wrote:
> > On Thu, Oct 11, 2007 at 03:31:12PM +0200, Stefan Roese wrote:
> > > Yes, good catch. Since I'm not using the bootwrapper, I should be able to get 
> > > rid of WANT_DEVICE_TREE too. But it seems to be autoselected in 
> > > arch/powerpc/platforms/Kconfig.cputype for 40x and most other "embedded" 
> > > CPU's. Any idea why this is the case?
> > 
> > Probably copying from 83xx, 85xx, etc, which set it on the entire CPU family
> > because there's a wrapper platform that covers the entire family.  AFAICT,
> > there are only board wrappers for 4xx, so individual boards should be
> > selecting WANT_DEVICE_TREE.
> 
> Probably.  Seems somewhat redundant at this point to move it into the
> individual board options though.
> 
> > In any case, you can just set DEVICE_TREE to an empty string if you only
> > want the regular uImage.
> 
> Well, he wants the raw uImage, and a separate DTB to be spit out as far
> as I can tell.  So we don't want an empty string here, but what's there
> currently doesn't do the latter part either.

I think it should be DEVICE_TREE="kilauea.dts".  DEVICE_TREE will
actually be ignored for building the uImage in any case, but this way
it will be correct if we ever do add a cuboot or other dtb-requiring
bootwrapper for Kilauea.

This is, of course, why CONFIG_DEVICE_TREE makes no real sense and
never has: it's a per-image, not a per-configuration variable.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson